# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog][1], and this project adheres
to [Semantic Versioning][2].

## Unreleased

## 1.0.2 - 2021-07-23

### Fixed

* Fixed the closing of IO objects to work with Ruby 2.0 where an IO object
  cannot be closed more than once.

* If the cbf-rewrite program performs the rewrite on the standard input and
  standard output streams (as opposed to named files), the streams are now
  set to binary mode before the rewrite.  Previously, they were left in their
  default mode which could have been text mode which could have resulted in an
  error depending on the locale and the CBF input.

* Made the cbf-rewrite program open each new rewritten file in binary mode.

* Removed `.tar.gz` from the top directory name in the distribution file.

### Changed

* Limited the allowed CBF header line length to 2048 bytes, excluding line
  termination.

* A single dash (`-`) as a file argument now represents the standard input
  stream, and may appear multiple times in the file list.

* Made some system call errors and warnings use a style that is more
  consistent with the cbf-rewrite program's existing errors and warnings.

## 1.0.1 - 2021-03-16

### Changed

* If the build is not configured (i.e., the `configure` task has not been run)
  and a task is run that requires the build to be configured, an error message
  is printed stating that the build is not configured.  Previously, the error
  was an exception (e.g., `NoMethodError`), probably related to a `nil` value,
  which didn't give a clear indication of what the problem really was (i.e.,
  that the `configure` task needed to be run first).

* Made the build support running tasks in parallel (e.g., `rake -m`).

## 1.0.0 - 2021-03-12

* First release.

[1]: https://keepachangelog.com/en/1.0.0/
[2]: https://semver.org/spec/v2.0.0.html
