# MX Data Acquisition Tools

MX Data Acquisition Tools is a suite of tools related to macromolecular
crystallography data acquisition.

## Dependencies

* Ruby >= 2.0
* Rake >= 0.9.6 (Build)
* mandoc >= 1.14.2 (Build)
* Bundler >= 1.7.8 (Test)

## Configure, Build, and Install

```
$ rake configure
$ rake
$ rake install
```

Run `rake help` for a list of environment variables that affect the build.

For example, to use a different prefix:

```
$ rake prefix=/opt/local configure
```

The `DESTDIR` environment variable is supported for staged installs.  For
example:

```
$ rake DESTDIR=/tmp/stage install
```

## Clean and Clobber

Remove intermediate files:

```
$ rake clean
```

Remove intermediate files (i.e., what the `clean` task does) as well as final
product files:

```
$ rake clobber
```

## Running Tests

To run the tests:

1. Install the dependencies:

   ```
   $ bundle install
   ```

2. Run all tests:

   ```
   $ bundle exec ruby run_test.rb
   ```

   Or, if the build has been configured:

   ```
   $ rake check
   ```

## Maintainer Tasks

Make a distfile:

```
$ rake dist
```
